#!/usr/bin/env python
# -*- coding: utf-8 -*-

_INSTALL_PATH = '/usr/share/sugar/activities/TurtleArt.activity'
_ALTERNATIVE_INSTALL_PATH = \
    '/usr/local/share/sugar/activities/TurtleArt.activity'

import os, sys, dbus
paths = []
paths.append('../%s.activity')
paths.append(os.path.expanduser('~') + '/Activities/%s.activity')
paths.append('/usr/share/sugar/activities/%s.activity')
paths.append('/usr/local/share/sugar/activities/%s.activity')

flag = False
for path in paths:
    for activity in ['TurtleBots', 'TurtleBlocks']:
        p = path % activity
        if os.path.exists(p):
            flag = True
            sys.path.insert(0, p)

if not flag:
    print 'This code require the Turtle Blocks/Bots activity to be installed.'
    exit(1)

from time import *
from random import uniform
from math import *

from pyexported.window_setup import *


tw = get_tw()

BOX = {}
ACTION = {}


def start():
    tw.start_plugins()
    global_objects = tw.get_global_objects()
    turtle_blocks_extras = global_objects['Turtle_blocks_extras']
    turtles = tw.turtles
    turtle = turtles.get_active_turtle()
    canvas = tw.canvas
    logo = tw.lc

    while True:
        while tw.get_mouse_button():
            tw.clear_plugins()
            logo.stop_playing_media()
            logo.reset_scale()
            logo.clear_value_blocks()
            canvas.clearscreen()
            logo.reset_internals()
            turtles.reset_turtles()
            turtle = turtles.get_active_turtle()
            logo.show(Media('media', 'CAMERA'), True)
            turtle.set_pen_state(False)
            turtle.set_xy(-230.0, 125.0)
            turtle.set_pen_state(True)
            turtle.set_xy(230.0, 125.0)
            turtle.set_xy(230.0, -125.0)
            turtle.set_xy(-230.0, -125.0)
            turtle.set_xy(-230.0, 125.0)
            turtle_blocks_extras.prim_speak(u'FIN')
            yield True
        yield True
    yield True
ACTION["start"] = start


if __name__ == '__main__':
    tw.lc.start_time = time()
    tw.lc.icall(start)
    gobject.idle_add(tw.lc.doevalstep)
    gtk.main()
